#!/usr/bin/lua

package.path = package.path .. ";/var/lib/callweaver/dialplan/failover/?.lua"

local logger = require"core.logger":init("route_call", 3)
local pbxutils = require"core.pbxutils"
local os = require"os"
local pbxs = require"pbx"

local serial = arg[1]
if not serial or "" == serial then
	logger:warning("PBX's serial is absent.")
	os.exit(1)
end

if 12 > #serial then
	logger:warning("PBX's serial '%s' is not valid.", serial)
	os.exit(1)
end

local pbx = pbxs[serial]
	if not pbx then
	logger:warning("PBX's serial '%s' not found in configuration file.", serial)
	os.exit(1)
end

local pbx_domain = pbxutils.split(pbx["domain"], "%.")[1]
	if not pbx_domain or pbx_domain == "" then
		logger:warning("PBX's domain for serial '%s' not specified.", serial)
	else
		 io.write(pbx_domain .. "_main")
	end
